
Katello - Bug #6527

host collections from all organizations can be associated with activation key

07/08/2014 11:25 AM - Brad Buckingham

Status: Closed   

Priority: Normal   

Assignee: Brad Buckingham   

Category: Activation Key   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1115955 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1115955

Description of problem:

it is not required for activation key and host collection to be in the same organization when running "hammer activation-key

add-host-collection --host-collection-id ..."

WebUI does not require that as well

Version-Release number of selected component (if applicable):

Satellite-6.0.3-RHEL-6-20140702.0

Associated revisions

Revision 41a9959b - 07/08/2014 11:29 AM - Brad Buckingham

fixes #6527 / BZ 1115955 - activation keys - filter host collections by organization

When a user requests 'available host collections' for an activation key,

it should only show those that are available within the same organization

as the activation key being queried for.

Revision e871b816 - 07/09/2014 09:06 AM - Brad Buckingham

Merge pull request #4403 from bbuckingham/issue-6527

fixes #6527 / BZ 1115955 - activation keys - filter host collections by organization

History

#1 - 07/08/2014 11:46 AM - Brad Buckingham

- Assignee set to Brad Buckingham

- Target version set to 49

- Triaged changed from No to Yes

#2 - 07/09/2014 10:01 AM - Brad Buckingham

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|41a9959b689f5877453a04d72adaf7d618b8edff.

#3 - 08/22/2014 09:00 AM - Eric Helms

- translation missing: en.field_release set to 13

#4 - 08/25/2015 04:17 PM - Bryan Kearney

- Category changed from Web UI to Activation Key
